Skip to main content
GET
Movies

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
required

Query to search for collection

include_adult
boolean

Defaults to false

language
string

Defaults to en-US

primary_release_y
string

The primary release of the movie

page
integer

Defaults to 1

region
string

The region of the movie

year
string

The year of the movie

Response

200 - application/json

Successful

page
integer

Indicates the current page number

results
object[]

Contains the list of data or items

total_pages
integer

Specifies the total number of pages available

total_results
integer

Represents the total number of items or records in a dataset